Dashboard
Evals

Create Eval

Create Eval

POST/v2/agents/{agent_id}/evals

Path Parameters

agent_idstring · uuidrequired

Request Body

slugstringrequired
criteriastringrequired
iconobjectoptional
judge_modelstringoptional

LLM that runs the judge. Must be a model the configured kafka_llm_proxy_base_url accepts on /v1/chat/completions.

enabledbooleanoptional
Request
curl --request POST \
  --url https://api.brainbaselabs.com/v2/agents/{agent_id}/evals \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "slug": "string",
  "criteria": "string",
  "icon": "string",
  "judge_model": "claude-sonnet-4-6",
  "enabled": true
}'
Response
json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
  "slug": "string",
  "criteria": "string",
  "icon": "string",
  "judge_model": "string",
  "enabled": true,
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4"
}